#!/bin/sh

set -eu
cp -r tests "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"

export PYTHONPATH=/usr/share/retext

for python in $(py3versions -s); do
    echo "Testing with $python..."
    xvfb-run -a -s '-screen 0 1024x768x24' $python -m unittest discover -v -s tests
done
